Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.aglet
Class AgletException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.ibm.aglet.AgletException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  AgletNotFoundException, InvalidAgletException, MessageException, NotHandledException, RequestRefusedException, ShuttingDownException

public class AgletException
extends java.lang.Exception
implements java.io.Serializable

Signals that an aglet exception has occurred.

Version:
  1.10 $Date: 2001/07/28 06:34:02 $
Author:
  Danny B. Lange
See Also:
  Serialized Form

Constructor Summary
`AgletException()` Constructs an AgletException with no detail message.
`AgletException(java.lang.String s)` Constructs an AgletException with the specified detail message.

Method Summary
`void` | `printStackTrace()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AgletException

    public AgletException()

  Constructs an AgletException with no detail message. A detail message is a string that describes this particular exception.

### AgletException

    public AgletException(java.lang.String s)

  Constructs an AgletException with the specified detail message. A detail message is a string that describes this particular exception.
  Parameters:
    `s` - the detail message.

Method Detail

### printStackTrace

    public void printStackTrace()

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD